<div class="main-content-inner category-layout-one cat-layout-template-duo">

	<div class="row">

		<?php while (have_posts()) : the_post(); ?>



			<div class="col-lg-4">

				<div class="post-block-item-one post-block-col-one post-item-style-one">

					<?php if (has_post_thumbnail()) : ?>

						<div class="news-post-grid-thumbnail">
							<a href="<?php the_permalink(); ?>" class="news-post-grid-thumbnail-wrap">
								<img src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" alt="<?php the_title_attribute(); ?>">
							</a>
						</div>

					<?php endif; ?>


					<div class="news-post-grid-content grid-content-inner">

						<div class="post-meta-bottom-list-wrap cols-post-meta-items">
							<div class="post-meta-left-wrap cols-meta-left">
								<div class="post-meta-left-content">

									<ul class="post-bottom-meta-list">
										<li class="post-meta-date"> <i class="icon-calendar1"></i> <?php echo esc_html(get_the_date('M j, Y')); ?></li>
									</ul>
									<h4 class="post-author-name">
										<span><?php echo esc_html('By ', 'meditest'); ?></span>

										<?php echo get_the_author_link(); ?>
									</h4>
								</div>
							</div>
						</div>

						<h3 class="post-title">
							<a href="<?php the_permalink(); ?>"><?php echo esc_html(wp_trim_words(get_the_title(), 100, '')); ?></a>
						</h3>

					</div>

				</div>

			</div>



		<?php endwhile; ?>



	</div>

</div>