<?php 

/**
 * The preloader string option
 */

$preloader_letter = meditest_get_option( 'preloader_letter' );

?>

<div class="theme-loader-wrap">
	<div class="preloader">
		<div class="preloader-close"><?php esc_html_e( 'x', 'meditest' ); ?></div>
		<div id="theme-preloader-style" class="theme-preloader-style">
			<div class="animation-preloader">
				<div class="spinner"></div>
				<div class="preloader-text">
				
					<?php 
						if ( ! empty( $preloader_letter ) ) : 
						foreach( $preloader_letter as $preloader_letter_item ) :
					?>
					
					<span data-text-preloader="<?php echo esc_attr( $preloader_letter_item['ptext'] ); ?>" class="letters-loading">
					<?php echo esc_attr( $preloader_letter_item['ptext'] ); ?>
					</span>
					
					<?php 
						endforeach; 
						endif; 
					?>
						
				</div>
			</div>  
		</div>
	</div>
</div>