<?php
/*
 * Template Name: Full Width with Breadcrumb
 * 
 * 
 * */

get_header(); ?>

<div class="theme-breadcrumb__Wrapper theme-breacrumb-area">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-md-12">
				<h1 class="theme-breacrumb-title">
					<?php the_title(); ?>
				</h1>
				<div class="breaccrumb-inner">
					<?php
					if (function_exists('the_meditest_breadcrumb')) {
						the_meditest_breadcrumb();
					}
					?>
				</div>
			</div>
		</div>
	</div>
</div>


<div id="post-<?php the_ID(); ?>" <?php post_class('home-full-width-content'); ?> role="main">
	<div class="builder-content">
		<?php while (have_posts()) :
			the_post(); ?>
			<?php the_content(); ?>
		<?php
		endwhile; ?>
	</div> <!-- end main-content -->
</div> <!-- end main-content -->

<?php get_footer(); ?>