<?php

/**
 * The template for displaying all Doctor Profiles
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package meditest
 */

get_header();

?>



<div class="theme-breadcrumb__Wrapper theme-breacrumb-area">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <h1 class="theme-breacrumb-title">
                    <?php echo esc_html('Doector Profiles', 'meditest'); ?>
                </h1>
                <div class="breaccrumb-inner">
                    <?php
                    if (function_exists('the_meditest_breadcrumb')) {
                        the_meditest_breadcrumb();
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="main-content" class="bloglayout__One main-container blog-single post-layout-style2 single-one-bwrap single-blog-template-duo" role="main">
    <div class="container">
        <div class="row single-blog-content">

            <div class="col-lg-12 col-md-12">
                <?php while (have_posts()) :
                    the_post(); ?>

                    <article id="post-<?php the_ID(); ?>" <?php post_class(["post-content", "post-single"]); ?>>

                        <div class="theme-blog-details">

                            <div class="post-body clearfix single-blog-header single-blog-inner blog-single-block blog-details-content">
                                <!-- Article content -->
                                <div class="entry-content clearfix">

                                    <?php
                                    if (is_search()) {
                                        the_excerpt();
                                    } else {
                                        the_content();
                                        meditest_link_pages();
                                    }
                                    ?>

                                </div>
                            </div>

                        </div>

                    </article>

                <?php endwhile; ?>
            </div>


        </div>

    </div>

</div>



<?php get_footer(); ?>