<div class="main-content-inner category-layout-one">

	<?php while (have_posts()) : the_post(); ?>

		<article <?php post_class('tab-block-list-item tab-block-list-single theme-main-blog-item-wrapper'); ?>>

			<div class="tab-block-list-single-wrap">

				<?php if (has_post_thumbnail()) : ?>
					<div class="tab-list-thumbnail-wrap">
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" alt="<?php the_title_attribute(); ?>">
						</a>
					</div>
				<?php endif; ?>

				<div class="tab-list-content-wrap">

					<div class="news-post-grid-content grid-content-inner">

						<div class="post-category-box post-block-meta-cat">
							<?php require MEDITEST_THEME_DIR . '/template-parts/cat-alt-template.php'; ?>
						</div>

						<h3 class="post-title">
							<a href="<?php the_permalink(); ?>"><?php echo esc_html(wp_trim_words(get_the_title(), 100, '')); ?></a>
						</h3>


						<div class="post-meta-bottom-list-wrap cols-post-meta-items">
							<div class="post-meta-left-wrap cols-meta-left">
								<div class="post-meta-left-author">
									<?php echo get_avatar(get_the_author_meta('ID'), 40); ?>
								</div>

								<div class="blog-post-meta-left-content">

									<h4 class="blog-post-author-name">
										<?php echo get_the_author_link(); ?>
									</h4>
									<div class="blog-post-meta-date"><?php echo esc_html(get_the_date('F j, Y')); ?></div>

								</div>
							</div>
						</div>

					</div>
				</div>
			</div>
		</article>


	<?php endwhile; ?>

</div>